Պիքսելներ
GET https://tistos.com/api/pixels/
curl --request GET \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Պարամետրեր | Մանրամասներ | Նկարագրություն |
|---|---|---|
| search | ընտրովի Տող | Որոնման տողը: |
| search_by | ընտրովի Տող | Որ ոլորտով եք փնտրում: Թույլատրված արժեքները են: name, pixel. |
| type | ընտրովի Տող | Թույլատրված արժեքներ: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | ընտրովի Տող | Թույլատրված արժեքներ: datetime, last_datetime |
| datetime_start | ընտրովի Տող | Ֆիլտրել արդյունքները այս ամսաթվից և ժամից սկսած։ Ձևաչափ՝ Y-m-d H:i:s։ |
| datetime_end | ընտրովի Տող | Ֆիլտրել արդյունքները մինչև այս ամսաթիվն ու ժամը։ Ձևաչափ՝ Y-m-d H:i:s։ |
| order_by | ընտրովի Տող | Որ ոլորտում պատվիրել արդյունքները: Թույլատրված արժեքները՝ pixel_id, datetime, last_datetime, name. |
| order_type | ընտրովի Տող | Արդյունքների դասավորությունը: Թույլատրված արժեքները են: ASC աճող դասավորության համար, և DESC նվազող դասավորության համար: |
| page | ընտրովի Ամբողջ թիվ | Էջի համար, որի արդյունքները ցանկանում եք: Դեֆոլտ է 1. |
| results_per_page | ընտրովի Ամբողջ թիվ | Քանի արդյունք եք ցանկանում յուրաքանչյուր էջում։ Թույլատրված արժեքները՝ 10, 25, 50, 100, 250, 500, 1000։ Դեֆոլտը՝ 25։ |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 11:34:50",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/pixels?page=1",
"last": "https://tistos.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/pixels?page=1"
}
}
GET https://tistos.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 11:34:50",
}
}
POST https://tistos.com/api/pixels
| Պարամետրեր | Մանրամասներ | Նկարագրություն |
|---|---|---|
| type | Պահանջվում է Տող | Թույլատրված արժեքներ: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Պահանջվում է Տող | - |
| pixel | Պահանջվում է Տող | - |
curl --request POST \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/pixels/{pixel_id}
| Պարամետրեր | Մանրամասներ | Նկարագրություն |
|---|---|---|
| type | ընտրովի Տող | Թույլատրված արժեքներ: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | ընտրովի Տող | - |
| pixel | ընտրովի Տող | - |
curl --request POST \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \